# Uses of Enum Class
org.apache.lucene.queryparser.flexible.core.nodes.ModifierQueryNode.Modifier

Packages that use ModifierQueryNode.Modifier
Package
Description
org.apache.lucene.queryparser.flexible.core.nodes
Query nodes commonly used by query parser implementations.
org.apache.lucene.queryparser.flexible.standard.nodes
Standard Lucene Query Nodes.
org.apache.lucene.queryparser.flexible.standard.processors
Lucene Query Node Processors.

- ## Uses of ModifierQueryNode.Modifier in org.apache.lucene.queryparser.flexible.core.nodes

  Methods in org.apache.lucene.queryparser.flexible.core.nodes that return ModifierQueryNode.Modifier
  Modifier and Type
  Method
  Description
  `ModifierQueryNode.Modifier`
  ModifierQueryNode.`getModifier()`
  `static ModifierQueryNode.Modifier`
  ModifierQueryNode.Modifier.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ModifierQueryNode.Modifier[]`
  ModifierQueryNode.Modifier.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.queryparser.flexible.core.nodes with parameters of type ModifierQueryNode.Modifier
  Modifier
  Constructor
  Description
  ``
  `ModifierQueryNode(QueryNode query, ModifierQueryNode.Modifier mod)`
  Used to store the modifier value on the original query string

- ## Uses of ModifierQueryNode.Modifier in org.apache.lucene.queryparser.flexible.standard.nodes

  Constructors in org.apache.lucene.queryparser.flexible.standard.nodes with parameters of type ModifierQueryNode.Modifier
  Modifier
  Constructor
  Description
  ``
  `BooleanModifierNode(QueryNode node, ModifierQueryNode.Modifier mod)`

- ## Uses of ModifierQueryNode.Modifier in org.apache.lucene.queryparser.flexible.standard.processors

  Methods in org.apache.lucene.queryparser.flexible.standard.processors with parameters of type ModifierQueryNode.Modifier
  Modifier and Type
  Method
  Description
  `protected void`
  BooleanQuery2ModifierNodeProcessor.`tagModifierButDoNotOverride(QueryNode node, ModifierQueryNode.Modifier mod)`